VRENDER_PROJECT_3D(3)

FUNCTION
vrender_project_3d - Project a point in 3-dimensional space onto a view plane.

SYNOPSIS
#include <karma_vrender.h>

flag vrender_project_3d

(KVolumeRenderContext context, unsigned int eye_view, Kcoord_3d point_3d, Kcoord_2d *point_2d, flag test_visible)

DESCRIPTION
Project a point in 3-dimensional space onto a view plane.

context
    The volume render context which determines the view information.

eye_view
    The eye which will see the point. See <-vrender_EYES-> for a list of legal values.

point_3d
    The 3 dimensional point to be projected.

point_2d
    The projected 2 dimensional point will be written here.

test_visible
    If TRUE, the point is tested for visibility.

RETURN VALUE
TRUE if the point is visible, else FALSE if it would be obscured by the volume or <<test_visible>> is FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/